XDG-SU(1)

NAME
xdg-su - run a GUI program as root after prompting for the root password

SYNOPSIS

xdg-su [-s] [-x] user command

xdg-su {--help | --manual | --version}

DESCRIPTION

xdg-su provides a graphical dialog that prompts the user for a password to run command as user or as root if no user was specified.

xdg-su is for use inside a desktop session only.

xdg-su discards any stdout and stderr output from command.

You can create an empty "xdg-sudo" file in /etc to use sudo as default to override default "su" mechanism and can avoid using "-s" option.

OPTIONS

user
    run command as user. The default is to run as root.

-s
    run command via sudo

-x
    run command via su. If sudo is default.

--help
    Show command synopsis.

--manual
    Show this manualpage.

--version
    Show the xdg-utils version information.

EXIT CODES

An exit code of 0 indicates success while a non-zero exit code indicates failure. The following failure codes can be returned:

1
    Error in command line syntax.

2
    One of the files passed on the command line did not exist.

3
    A required tool could not be found.

4
    The action failed.

SEE ALSO

su(1)

sudo()

EXAMPLES

    xdg-su -s user -c "/opt/shinythings/bin/install-GUI --install fast"

Runs the /opt/shinythings/bin/install-GUI command as "user" via sudo.

AUTHORS

Kevin Krammer
    Author.

Jeremy White
    Author.

Atilla ÖNTAŞ
    Author.

COPYRIGHT
Copyright © 2011